'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatePicker = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDripForm = require('react-drip-form');

var _DatePicker = require('material-ui/DatePicker');

var _DatePicker2 = _interopRequireDefault(_DatePicker);

var _ErrorLabel = require('./internal/ErrorLabel');

var _ErrorLabel2 = _interopRequireDefault(_ErrorLabel);

var _defaultFieldProps = require('./internal/defaultFieldProps');

var _defaultFieldProps2 = _interopRequireDefault(_defaultFieldProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var formatter = function formatter(value) {
  return value || null;
};

var DatePicker = exports.DatePicker = function (_Component) {
  _inherits(DatePicker, _Component);

  function DatePicker() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, DatePicker);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = DatePicker.__proto__ || Object.getPrototypeOf(DatePicker)).call.apply(_ref, [this].concat(args))), _this), _this.handleChange = function () {
      var _this2;

      return (_this2 = _this).__handleChange__REACT_HOT_LOADER__.apply(_this2, arguments);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(DatePicker, [{
    key: '__handleChange__REACT_HOT_LOADER__',
    value: function __handleChange__REACT_HOT_LOADER__(_, date) {
      this.props.input.onChange(date);
      this.props.input.onBlur();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$input = _props.input,
          onChange = _props$input.onChange,
          onBlur = _props$input.onBlur,
          input = _objectWithoutProperties(_props$input, ['onChange', 'onBlur']),
          meta = _props.meta,
          shouldDisplayError = _props.shouldDisplayError,
          errorLabelStyle = _props.errorLabelStyle,
          rest = _objectWithoutProperties(_props, ['input', 'meta', 'shouldDisplayError', 'errorLabelStyle']);

      var displayError = shouldDisplayError(this.props);

      return _react2.default.createElement(
        'span',
        null,
        _react2.default.createElement(_DatePicker2.default, _extends({}, rest, input, {
          onChange: this.handleChange,
          onDismiss: onBlur
        })),
        displayError && _react2.default.createElement(
          _ErrorLabel2.default,
          { style: errorLabelStyle },
          meta.error
        )
      );
    }
  }]);

  return DatePicker;
}(_react.Component);

DatePicker.propTypes = _reactDripForm.FieldPropTypes;

var _default = (0, _reactDripForm.dripFormField)('text', {
  defaultProps: _extends({}, _defaultFieldProps2.default, {
    formatter: formatter
  })
})(DatePicker);

exports.default = _default;
;

var _temp2 = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(formatter, 'formatter', 'src/DatePicker.js');

  __REACT_HOT_LOADER__.register(DatePicker, 'DatePicker', 'src/DatePicker.js');

  __REACT_HOT_LOADER__.register(_default, 'default', 'src/DatePicker.js');
}();

;