'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ErrorLabel = function ErrorLabel(_ref, _ref2) {
  var children = _ref.children,
      style = _ref.style;
  var _ref2$muiTheme = _ref2.muiTheme,
      textField = _ref2$muiTheme.textField,
      prepareStyles = _ref2$muiTheme.prepareStyles;
  return _react2.default.createElement(
    'div',
    {
      style: prepareStyles(_extends({
        position: 'relative',
        marginTop: 5,
        fontSize: 12,
        lineHeight: '12px',
        color: textField.errorColor
      }, style || {}))
    },
    children
  );
};

ErrorLabel.contextTypes = {
  muiTheme: _propTypes2.default.object.isRequired
};

ErrorLabel.propTypes = {
  children: _propTypes2.default.node.isRequired,
  style: _propTypes2.default.object // eslint-disable-line react/forbid-prop-types
};

ErrorLabel.defaultProps = {
  style: {}
};

var _default = ErrorLabel;
exports.default = _default;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(ErrorLabel, 'ErrorLabel', 'src/internal/ErrorLabel.js');

  __REACT_HOT_LOADER__.register(_default, 'default', 'src/internal/ErrorLabel.js');
}();

;