'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AutoComplete = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDripForm = require('react-drip-form');

var _AutoComplete = require('material-ui/AutoComplete');

var _AutoComplete2 = _interopRequireDefault(_AutoComplete);

var _defaultFieldProps = require('./internal/defaultFieldProps');

var _defaultFieldProps2 = _interopRequireDefault(_defaultFieldProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AutoComplete = exports.AutoComplete = function (_Component) {
  _inherits(AutoComplete, _Component);

  function AutoComplete() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, AutoComplete);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = AutoComplete.__proto__ || Object.getPrototypeOf(AutoComplete)).call.apply(_ref, [this].concat(args))), _this), _this.handleClose = function () {
      var _this2;

      return (_this2 = _this).__handleClose__REACT_HOT_LOADER__.apply(_this2, arguments);
    }, _this.handleNewRequest = function () {
      var _this3;

      return (_this3 = _this).__handleNewRequest__REACT_HOT_LOADER__.apply(_this3, arguments);
    }, _this.handleUpdate = function () {
      var _this4;

      return (_this4 = _this).__handleUpdate__REACT_HOT_LOADER__.apply(_this4, arguments);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(AutoComplete, [{
    key: '__handleClose__REACT_HOT_LOADER__',
    value: function __handleClose__REACT_HOT_LOADER__() {
      this.props.input.onBlur();

      if (typeof this.props.onClose === 'function') {
        var _props;

        (_props = this.props).onClose.apply(_props, arguments);
      }
    }
  }, {
    key: '__handleNewRequest__REACT_HOT_LOADER__',
    value: function __handleNewRequest__REACT_HOT_LOADER__(value, index) {
      var _props2 = this.props,
          dataSourceConfig = _props2.dataSourceConfig,
          onNewRequest = _props2.onNewRequest;


      this.props.input.onChange((typeof value === 'undefined' ? 'undefined' : _typeof(value)) === 'object' && dataSourceConfig ? value[dataSourceConfig.value] : value);

      if (typeof onNewRequest === 'function') {
        onNewRequest(value, index);
      }
    }
  }, {
    key: '__handleUpdate__REACT_HOT_LOADER__',
    value: function __handleUpdate__REACT_HOT_LOADER__(value, dataSource, params) {
      this.props.input.onChange(value);

      if (typeof this.props.onUpdateInput === 'function') {
        this.props.onUpdateInput(value, dataSource, params);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props3 = this.props,
          input = _props3.input,
          meta = _props3.meta,
          shouldDisplayError = _props3.shouldDisplayError,
          rest = _objectWithoutProperties(_props3, ['input', 'meta', 'shouldDisplayError']);

      var displayError = shouldDisplayError(this.props);

      return _react2.default.createElement(_AutoComplete2.default, _extends({}, rest, input, {
        onClose: this.handleClose,
        onNewRequest: this.handleNewRequest,
        onUpdateInput: this.handleUpdate,
        errorText: displayError ? meta.error : null
      }));
    }
  }]);

  return AutoComplete;
}(_react.Component);

AutoComplete.propTypes = _reactDripForm.FieldPropTypes;

var _default = (0, _reactDripForm.dripFormField)('text', {
  defaultProps: _defaultFieldProps2.default
})(AutoComplete);

exports.default = _default;
;

var _temp2 = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(AutoComplete, 'AutoComplete', 'src/AutoComplete.js');

  __REACT_HOT_LOADER__.register(_default, 'default', 'src/AutoComplete.js');
}();

;