'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextField = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDripForm = require('react-drip-form');

var _TextField = require('material-ui/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _defaultFieldProps = require('./internal/defaultFieldProps');

var _defaultFieldProps2 = _interopRequireDefault(_defaultFieldProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var TextField = function TextField(props) {
  var input = props.input,
      meta = props.meta,
      shouldDisplayError = props.shouldDisplayError,
      rest = _objectWithoutProperties(props, ['input', 'meta', 'shouldDisplayError']);

  var displayError = shouldDisplayError(props);

  return _react2.default.createElement(_TextField2.default, _extends({}, rest, input, {
    errorText: displayError ? meta.error : null
  }));
};

exports.TextField = TextField;
TextField.propTypes = _reactDripForm.FieldPropTypes;

var _default = (0, _reactDripForm.dripFormField)('text', {
  defaultProps: _defaultFieldProps2.default
})(TextField);

exports.default = _default;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(TextField, 'TextField', 'src/TextField.js');

  __REACT_HOT_LOADER__.register(_default, 'default', 'src/TextField.js');
}();

;